### Constructor

# Gtk.PageSetup.new_from_file

#### Declaration [src]

    GtkPageSetup*
    gtk_page_setup_new_from_file (
      const char* file_name,
      GError** error
    )

#### Description [src]

Reads the page setup from the file `file_name`.

Returns a new `GtkPageSetup` object with the restored page setup, or `NULL` if an error occurred. See `gtk_page_setup_to_file()`.

#### Parameters

`file_name` | `const char*`
| the filename to read the page setup from
| Ownership is not transferred to the callee
| The string is a file system path, using the OS encoding

#### Return value

Returns: `GtkPageSetup`
the restored `GtkPageSetup`
Ownership of the data is transferred to the caller